%define mod_name shrunk

Name:           python3-shrunk
Version:        0.4.4
Release:        2%{?dist}
Summary:        Rutgers University URL shortener
Group:          Applications/Internet
License:        MIT
URL:            https://github.com/oss/shrunk
Source0:        %{mod_name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3
Requires:       python3-flask
Requires:       python3-flask-auth
Requires:       python3-jinja2
Requires:       python3-wtforms
Requires:       python3-itsdangerous
Requires:       python3-pymongo
Requires:       python3-werkzeug
Requires:	python3-geoip2

%description
The official URL shortener for Rutgers University, shrunk allows users to create
and manage shortened links.


%prep
%setup -n %{mod_name}-%{version}

%build
python3 setup.py build

%install
python3 setup.py install -O1 --single-version-externally-managed --skip-build --root=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{python3_sitelib}/*.egg-info/
%{python3_sitelib}/shrunk/*

%changelog
* Wed Oct 12 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 0.4.4-2.ru6
- Add python3-geoip2 as a dependency

* Mon Oct 10 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 0.4.4-1.ru6
- Version bump

* Thu Jan 07 2016 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.4.3-1.ru6
- Version bump

* Tue Sep 29 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.4.2-1.ru6
- Version bump

* Mon Aug 17 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.4.1-1.ru6
- Version bump

* Wed Aug 12 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.4.0-2.ru6
- Fixing errors with last release

* Tue Aug 11 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.4.0-1.ru6
- Version bump

* Thu Jul 30 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.3.0-1.ru6
- Version bump

* Tue Jul 21 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.2.0-1.ru6
- Version update for the Jul 23 demo.

* Tue Jul 21 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.1.6-1.ru6
- Testing the click-to-clipboard feature on shrunk.rutgers.edu

* Tue Jul 02 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.1.5-1.ru6
- Version bump

* Tue Jun 09 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.1.4-1.ru6
- Version bump

* Tue Jun 09 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.1.3-1.ru6
- Version bump

* Thu Jun 04 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> - 0.1.2-1.ru6
- Version bump

* Fri Apr 09 2015 Kyle Suarez <kds124@nbcs.rutgers.edu> - 0.1.1-1.ru6
- Upgrade to the latest version
- Add missing python3 package dependencies

* Wed Apr 01 2015 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu> - 0.1.0-1.ru6
- Initial build for Centos 6 at Rutgers
